## mps-youtube 2.9.4

=== requirements.txt ===
requests
pyreadline3 ; platform_system=="Windows"
pyperclip
youtube-search-python>=1.6.5
yt-dlp
colorama ; platform_system=="Windows"

## mps-youtube 0.01.44

=== debian/changelog ===
mps-youtube (0.01.44-4) unstable; urgency=low

  * debian/control: Updated to include mpv as other choice (Closes: #749516)

 -- Zlatan Todoric <zlatan.todoric@gmail.com>  Tue, 27 May 2014 19:18:29 +0200

mps-youtube (0.01.44-3) unstable; urgency=low

  * debian/control: Updated package description so its more clear to user

 -- Zlatan Todoric <zlatan.todoric@gmail.com>  Sat, 10 May 2014 17:42:02 +0200

mps-youtube (0.01.44-2) unstable; urgency=low

  * Updated manpages 

 -- Zlatan Todoric <zlatan.todoric@gmail.com>  Fri, 02 May 2014 00:07:41 +0200

mps-youtube (0.01.44-1) unstable; urgency=low

  * Initial release (Closes: #738838) 

 -- Zlatan Todoric <zlatan.todoric@gmail.com>  Wed, 12 Feb 2014 23:17:36 +0100

=== debian/control ===
Source: mps-youtube
Section: utils
Priority: extra
Maintainer: Zlatan Todoric <zlatan.todoric@gmail.com>
Build-Depends: debhelper (>= 9), dh-python, python
Standards-Version: 3.9.5
Homepage: https://github.com/np1/mps-youtube
XS-Python-Version: current

Package: mps-youtube
Architecture: any
Depends: ${misc:Depends}, python-pafy, mplayer | mpv, python 
XB-Python-Version: ${python:Versions}
Provides: ${python:Provides}
Description: Terminal based YouTube jukebox with playlist management
 This project is a terminal based YouTube client with an interactive text 
 interface and in-built help. It can be used to search YouTube, create local 
 playlists to queue your favourite content, play audio or video (launched in 
 external player) and can download YouTube content in various formats (mp4, 
 flv, webm, ogg, m4a, m4v and 3gp).

## mps-youtube 0.01.46

=== debian/changelog ===
mps-youtube (0.01.46-3) unstable; urgency=low

  * debian/control: added python-setuptools to Build-Depends (Closes:#761607)
    Thanks to Santiago Torres Batan on suggestion
  * Change in maintainers email address

 -- Zlatan Todoric <zlatan@riseup.net>  Sun, 28 Sep 2014 13:25:12 +0200

mps-youtube (0.01.46-2) unstable; urgency=low

  * debian/control: removing virtual package as dependency, added mplayer2

 -- Zlatan Todoric <zlatan.todoric@gmail.com>  Sun, 06 Jul 2014 13:12:23 +0200

mps-youtube (0.01.46-1) unstable; urgency=low

  * New upstream release

 -- Zlatan Todoric <zlatan.todoric@gmail.com>  Tue, 27 May 2014 19:36:49 +0200

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,14 @@
 Section: utils
 Priority: extra
 Maintainer: Zlatan Todoric <zlatan.todoric@gmail.com>
-Build-Depends: debhelper (>= 9), dh-python, python
+Build-Depends: debhelper (>= 9), dh-python, python, python-setuptools
 Standards-Version: 3.9.5
 Homepage: https://github.com/np1/mps-youtube
 XS-Python-Version: current
 
 Package: mps-youtube
 Architecture: any
-Depends: ${misc:Depends}, python-pafy, mplayer | mpv, python 
+Depends: ${misc:Depends}, python-pafy, mplayer2 | mpv, python 
 XB-Python-Version: ${python:Versions}
 Provides: ${python:Provides}
 Description: Terminal based YouTube jukebox with playlist management

## mps-youtube 0.2.5

=== debian/changelog ===
mps-youtube (0.2.5-5) unstable; urgency=medium

  * debian/control: replace python-notify with libnotify4 
  * debian/control: remove X-Python3-Version (not needed)
  * mpsyt.1: manpage rewritten to point to excellent built-in help

 -- Zlatan Todoric <zlatan@riseup.net>  Wed, 28 Oct 2015 21:02:01 +0100

mps-youtube (0.2.5-4) unstable; urgency=medium

  * Fixing FTBFS be adding pafy to Build-Depends (Closes:#802102)

 -- Zlatan Todoric <zlatan@riseup.net>  Sun, 25 Oct 2015 14:14:17 +0100

mps-youtube (0.2.5-3) unstable; urgency=low

  * debian/upstream: added upstream key
  * debian/watch: updated for gpg release scans 
  * debian/control: corrected dependency name from avconv to libav-tools
  * debian/control: make mpv first choice instead of mplayer2
  * debian/control: remove python3, we have ${python3:Depends}

 -- Zlatan Todoric <zlatan@riseup.net>  Thu, 04 Jun 2015 03:03:56 +0200

mps-youtube (0.2.5-2) unstable; urgency=medium

  * debian/mpsyt.1: correct the minus sign so lintian stops complaining 
  * debian/control: add python3-pkg-resources to Depends

 -- Zlatan Todoric <zlatan@riseup.net>  Wed, 03 Jun 2015 19:17:28 +0200

mps-youtube (0.2.5-1) unstable; urgency=medium

  * New upstream release
  * debian/control: Depends on ffmpeg | libav-tools
  * debian/control: Recommends added python-notify and xclip
  * debian/control: bump standards to 3.9.6; no changes needed
  * debian/control: Architecture change from any to all
  * Switch to Python 3, Python 2 dropped upstream
  * changed all dependencies to Python 3 variants
  * Updated to latest upstream for Youtube APIv3 (Closes:#785704)
  * Small manpage tweak
  * debian/rules: using now pybuild

 -- Zlatan Todoric <zlatan@riseup.net>  Mon, 01 Jun 2015 15:12:53 +0200

=== debian/control ===
Source: mps-youtube
Section: utils
Priority: extra
Maintainer: Zlatan Todoric <zlatan@riseup.net>
Build-Depends: debhelper (>= 9), dh-python, python3-all, python3-setuptools, python3-pafy (>= 0.3.74)
Standards-Version: 3.9.6
Homepage: https://github.com/np1/mps-youtube

Package: mps-youtube
Architecture: all
Depends: ${misc:Depends}, python3-pafy (>= 0.3.74), mpv | mplayer2, ffmpeg | libav-tools,  ${python3:Depends}, python3-pkg-resources
Recommends: libnotify4, xclip
Description: Terminal based YouTube jukebox with playlist management
 This project is a terminal based YouTube client with an interactive text 
 interface and in-built help. It can be used to search YouTube, create local 
 playlists to queue your favourite content, play audio or video (launched in 
 external player) and can download YouTube content in various formats (mp4, 
 flv, webm, ogg, m4a, m4v and 3gp).

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
#export PYBUILD_NAME=mps-youtube
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/watch ===
version=3

opts="filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/mps-youtube-$1\.tar\.gz/,pgpsigurlmangle=s/$/.asc/" \
  https://github.com/np1/mps-youtube/tags .*/v?(\d\S*)\.tar\.gz

## mps-youtube 0.2.7.1

=== debian/changelog ===
mps-youtube (0.2.7.1-2ubuntu1) artful; urgency=medium

  * Disable tests with Python 3.6 as well as 3.5. 

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Mon, 26 Jun 2017 11:50:12 +1200

mps-youtube (0.2.7.1-2) unstable; urgency=medium

  * remove mplayer2 and libav-tools from Depends (Closes:#841182)
  * add python3-gi and python3-dbus to Recommends for mpris2 support
  * upstream pafy (Closes:#825169)
  * change in maintainers email address

 -- Zlatan Todoric <zlatan@debian.org>  Wed, 19 Oct 2016 10:44:23 +0200

mps-youtube (0.2.7.1-1) unstable; urgency=medium

  * New upstream release
  * Bumped Standards-Version. No changes required
  * debian/rules: disabled all tests as they require access to network
  * debian/copyright: updated years
  * debian/control: bumped version dependency on python3-pafy

 -- Zlatan Todoric <zlatan@riseup.net>  Mon, 04 Jul 2016 09:50:27 +0200

=== debian/control ===
Source: mps-youtube
Section: utils
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Zlatan Todoric <zlatan@debian.org>
Build-Depends: debhelper (>= 9), dh-python, python3-all, python3-setuptools, python3-pafy (>= 0.5.1)
Standards-Version: 3.9.8
Homepage: https://github.com/np1/mps-youtube

Package: mps-youtube
Architecture: all
Depends: ${misc:Depends}, python3-pafy (>= 0.5.1), mpv, ffmpeg,  ${python3:Depends}, python3-pkg-resources
Recommends: libnotify4, xclip, python3-dbus, python3-gi
Description: Terminal based YouTube jukebox with playlist management
 This project is a terminal based YouTube client with an interactive text 
 interface and in-built help. It can be used to search YouTube, create local 
 playlists to queue your favourite content, play audio or video (launched in 
 external player) and can download YouTube content in various formats (mp4, 
 flv, webm, ogg, m4a, m4v and 3gp).

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
export PYBUILD_NAME=mps-youtube
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
export PYBUILD_DISABLE_python3.5=test
export PYBUILD_DISABLE_python3.6=test

%:
	dh $@ --with python3 --buildsystem=pybuild

## mps-youtube 0.2.8

=== debian/changelog ===
mps-youtube (0.2.8-1) unstable; urgency=medium

  * New upstream release
  * Update uscan support file
  * Swizzle homepage to current upstream homepage.
  * Trim trailing whitespace.
  * Use secure copyright file specification URI.
  * Bump debhelper from deprecated 9 to 13.
  * Set debhelper-compat version in Build-Depends.
  * Change priority extra to priority optional.
  * Set upstream metadata fields.
  * Bump Standards-Version. No changes required.
  * Disable build-time tests on more version of Python.
  * Rules do not require root.
  * Add salsa packaging repo.
  * Configure git-buildpackage to use upstream tags.
  * Add self as co-maintainer (thanks Zlatan).

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 20 Nov 2020 12:48:49 +0000

=== debian/control ===
Source: mps-youtube
Section: utils
Priority: optional
Maintainer: Zlatan Todoric <zlatan@debian.org>
Uploaders: Barak A. Pearlmutter <bap@debian.org>
Build-Depends: debhelper-compat (= 13), dh-python, python3-all, python3-setuptools, python3-pafy (>= 0.5.1)
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://github.com/mps-youtube/mps-youtube
Vcs-Git: https://salsa.debian.org/debian/mps-youtube.git
Vcs-Browser: https://salsa.debian.org/debian/mps-youtube

Package: mps-youtube
Architecture: all
Depends: ${misc:Depends}, python3-pafy (>= 0.5.1), mpv, ffmpeg,  ${python3:Depends}, python3-pkg-resources
Recommends: libnotify4, xclip, python3-dbus, python3-gi
Description: Terminal based YouTube jukebox with playlist management
 This project is a terminal based YouTube client with an interactive text
 interface and in-built help. It can be used to search YouTube, create local
 playlists to queue your favourite content, play audio or video (launched in
 external player) and can download YouTube content in various formats (mp4,
 flv, webm, ogg, m4a, m4v and 3gp).

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,4 @@
 #!/usr/bin/make -f
-# -*- makefile -*-
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
@@ -9,6 +8,9 @@
 #export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 export PYBUILD_DISABLE_python3.5=test
 export PYBUILD_DISABLE_python3.6=test
+export PYBUILD_DISABLE_python3.7=test
+export PYBUILD_DISABLE_python3.8=test
+export PYBUILD_DISABLE_python3.9=test
 
 %:
 	dh $@ --with python3 --buildsystem=pybuild

## mps-youtube 0.2.9

=== debian/changelog ===
mps-youtube (0.2.9) unstable; urgency=medium

  * added coments to desktop file

 -- anticapitalista <antix@operamail.com>  Sun, 07 Jul 2019 16:58:47 +0300

mps-youtube (0.2.8) unstable; urgency=medium

  * latest upstream version

 -- anticapitalista <antix@operamail.com>  Wed, 29 May 2019 02:03:54 +0300

mps-youtube (0.2.7.1-4) unstable; urgency=medium

  * use x-terminal-emulator in desktop file

 -- anticapitalista <antix@operamail.com>  Sat, 16 Mar 2019 17:56:14 +0200

mps-youtube (0.2.7.1-3) unstable; urgency=medium

  * use capitals in desktop file

 -- anticapitalista <antix@operamail.com>  Mon, 18 Feb 2019 17:34:04 +0200

mps-youtube (0.2.7.1-2.1) stretch; urgency=medium

  * new desktop file icon 

 -- anticapitalista <antix@operamail.com>  Tue, 12 Feb 2019 19:25:07 +0200

=== debian/control ===
Source: mps-youtube
Section: utils
Priority: extra
Maintainer: Zlatan Todoric <zlatan@debian.org>
Build-Depends: debhelper (>= 9), dh-python, python3-all, python3-setuptools, python3-pafy (>= 0.5.1)
Standards-Version: 3.9.8
Homepage: https://github.com/np1/mps-youtube

Package: mps-youtube
Architecture: all
Depends: ${misc:Depends}, python3-pafy (>= 0.5.1), mpv, ffmpeg,  ${python3:Depends}, python3-pkg-resources
Recommends: libnotify4, xclip, python3-dbus, python3-gi
Description: Terminal based YouTube jukebox with playlist management
 This project is a terminal based YouTube client with an interactive text 
 interface and in-built help. It can be used to search YouTube, create local 
 playlists to queue your favourite content, play audio or video (launched in 
 external player) and can download YouTube content in various formats (mp4, 
 flv, webm, ogg, m4a, m4v and 3gp).

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
export PYBUILD_NAME=mps-youtube
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
export PYBUILD_DISABLE_python3.5=test

%:
	dh $@ --with python3 --buildsystem=pybuild
